Wake endpoint
curl --request PUT \
--url https://api.friendli.ai/dedicated/beta/endpoint/{endpoint_id}/wake \
--header 'Authorization: Bearer <token>'{
"status": "AWAKING",
"createdAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"phase": "ENGINE_INITIALIZING"
}Endpoint
Dedicated wake endpoint
Wake up a sleeping Friendli Dedicated Endpoint by ID. The endpoint resumes serving with its previous model and GPU configuration intact.
PUT
/
dedicated
/
beta
/
endpoint
/
{endpoint_id}
/
wake
Wake endpoint
curl --request PUT \
--url https://api.friendli.ai/dedicated/beta/endpoint/{endpoint_id}/wake \
--header 'Authorization: Bearer <token>'{
"status": "AWAKING",
"createdAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"phase": "ENGINE_INITIALIZING"
}Wake up a sleeping Dedicated Endpoint. To request successfully, it is mandatory to enter a Personal API Key (e.g. flp_XXX) value in the Bearer Token field. Refer to the authentication section on our introduction page to learn how to acquire this variable and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
This API is currently in Beta.
While we strive to provide a stable and reliable experience, this feature is still under active development.
As a result, you may encounter unexpected behavior or limitations.
We encourage you to provide feedback to help us improve the feature before its official release.
Authorizations
Headers
ID of team to run requests as (optional parameter).
Path Parameters
The ID of the endpoint
Response
Successfully requested to wake up the endpoint.
Dedicated endpoint status.
The current status of the endpoint deployment.
Available options:
UNKNOWN, INITIALIZING, RUNNING, UPDATING, SLEEPING, AWAKING, FAILED, STOPPING, TERMINATING, TERMINATED, READY When the endpoint was created.
ErrorCode type.
Available options:
WORKLOAD_INIT_UNKNOWN_ERROR, WORKLOAD_INIT_SETTINGS_ERROR, WORKLOAD_INIT_GRPC_ERROR, WORKLOAD_INIT_MANIFEST_NOT_FOUND_ERROR, WORKLOAD_INIT_MANIFEST_TYPE_ERROR, WORKLOAD_INIT_DOWNLOAD_ERROR, WORKLOAD_INIT_INVALID_TOKEN_ERROR, WORKLOAD_INIT_CANNOT_ACCESS_REPO_ERROR, WORKLOAD_INIT_HF_WANDB_API_ERROR, WORKLOAD_INIT_INSUFFICIENT_DISK_ERROR, INFERENCE_ENGINE_UNKNOWN_ERROR, INFERENCE_ENGINE_INVALID_ARGUMENT_ERROR, INFERENCE_ENGINE_MEMORY_ERROR, INFERENCE_ENGINE_METERING_CLIENT_CONFIG_ERROR When the endpoint was last updated.
The current phase of the endpoint.
Available options:
REQUESTING_VIRTUAL_MACHINE, DOWNLOADING_MODEL, ENGINE_INITIALIZING Last modified on April 29, 2026
⌘I